<script lang="ts">
import Vue from 'vue';
import FeatureList from '../feature-list.vue';

export default Vue.extend({
  name: 'PricingDedicatedCard',
  components: { FeatureList },
  props: {
    data: {
      type: Array,
      required: true,
      default: () => [],
    },
  },
});
</script>

<template>
  <div
    class="pricing-dedicated-container"
    :class="{
      'single-tier': data.length === 1,
      'multiple-tiers': data.length > 1,
    }"
  >
    <div v-for="tier in data" :key="tier.id" class="pricing-dedicated-card">
      <div class="pricing-dedicated-card__pill">
        <SlpTypography tag="span" variant="all-caps" class="title">
          {{ tier.pill }}</SlpTypography
        >
      </div>
      <div class="pricing-dedicated-card__wrapper">
        <div class="pricing-dedicated-card__header">
          <SlpTypography tag="h2" variant="heading3-bold" class="title">
            {{ tier.title }}</SlpTypography
          >
          <SlpTypography tag="p" variant="body1-bold" class="title slp-mt-8">
            {{ tier.description }}</SlpTypography
          >
        </div>
        <div class="pricing-dedicated-card__content">
          <FeatureList :data="tier.features" />
        </div>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.pricing-dedicated-container {
  @media screen and (min-width: $breakpoint-md) {
    display: flex;
    flex-wrap: wrap;
    gap: 32px;
  }
}
.pricing-dedicated-card {
  position: relative;
  margin-top: $spacing-24;
  padding: 0 $spacing-16;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  @media screen and (min-width: $breakpoint-md) {
    padding: 0;
    margin-top: $spacing-64;
  }
  &__wrapper {
    border: 2px solid $color-text-link-100;
    flex-grow: 1;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
  }
  &__header {
    padding: $spacing-32;
    background: linear-gradient(
      90deg,
      #eee7fd 2.53%,
      rgba(246, 243, 254, 0.83) 50.98%,
      rgba(255, 212, 216, 0.45) 100%
    );
    border-top-left-radius: 8px;
    border-bottom: 1px solid $color-secondary-100;
    @media screen and (min-width: $breakpoint-md) {
      padding: $spacing-48 $spacing-64 $spacing-32 $spacing-64;

      h2 {
        max-width: 350px;
      }
    }
  }
  &__content {
    padding: $spacing-32;
    @media screen and (min-width: $breakpoint-md) {
      padding: $spacing-32 $spacing-64 $spacing-48 $spacing-64;
    }
  }
  &__pill {
    position: absolute;
    top: -20px;
    left: $spacing-48;
    padding: $spacing-8 $spacing-16;
    background-color: $color-text-link-100;
    color: $color-primary-300;
    border-radius: 20px;
    z-index: 1;
    @media screen and (min-width: $breakpoint-md) {
      left: $spacing-64;
    }
  }
  :deep {
    .pricing-feature-list-container {
      font-size: 20px;
      .header {
        font-size: 20px;
        margin-bottom: 24px;
      }
    }
    ul li {
      margin-bottom: 16px !important;
    }
  }
}
.single-tier {
  :deep ul {
    @media screen and (min-width: $breakpoint-md) {
      display: flex;
      flex-wrap: wrap;
      flex-direction: row;
      align-items: flex-start;
    }
    li {
      @media screen and (min-width: $breakpoint-md) {
        flex: 0 0 50%;
        align-self: flex-start;
        width: 50%;
      }
    }
  }
}
.multiple-tiers {
  .pricing-dedicated-card {
    &__header {
      @media screen and (min-width: $breakpoint-md) {
        min-height: 317px;
      }
      @media screen and (min-width: $breakpoint-lg) {
        min-height: 241px;
      }
    }
  }
  .pricing-dedicated-card:nth-of-type(2) {
    .pricing-dedicated-card__wrapper {
      border-radius: 8px 8px 90px 8px;
    }
  }
}
</style>
